%global namedreltag .RELEASE
%global namedversion %{version}%{?namedreltag}
Name:          unbescape
Version:       1.1.1
Release:       7%{?dist}
Summary:       Advanced yet easy to use escaping library for Java
License:       ASL 2.0
URL:           http://www.unbescape.org/
Source0:       https://github.com/unbescape/unbescape/archive/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)

BuildArch:     noarch

%description
Unbescape is a Java library aimed at performing fully-featured and
high-performance escape and unescape operations for:

° HTML (HTML5 and HTML 4)
° XML (XML 1.0 and XML 1.1)
° JavaScript
° JSON
° URI/URL (both paths and query parameters)
° CSS (both identifiers and string literals)
° CSV (Comma-Separated Values)
° Java literals
° Java .properties files (both keys and values)

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}
find -name "*.class" -delete
find -name "*.jar" -print -delete
rm -r src/site/*

%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"
%pom_xpath_remove "pom:reportOutputDirectory"

%pom_xpath_set "pom:maven.compile.source" 1.6
%pom_xpath_set "pom:maven.compile.target" 1.6

# Default is US-ASCII
%pom_xpath_set "pom:encoding" UTF-8

chmod 644 NOTICE.txt

%mvn_file : %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc ChangeLog.txt CONTRIBUTING.markdown README.markdown RELEASING.txt USAGE.txt
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 22 2016 gil cattaneo <puntogil@libero.it> 1.1.1-3
- regenerate build-requires

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 05 2015 gil cattaneo <puntogil@libero.it> 1.1.1-1
- update to 1.1.1.RELEASE

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 19 2015 gil cattaneo <puntogil@libero.it> 1.1.0-2
- remove unused files

* Sun Mar 08 2015 gil cattaneo <puntogil@libero.it> 1.1.0-1
- initial rpm
